#
# spec file for package ghc-case-insensitive
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name case-insensitive
%bcond_with tests
Name:           ghc-%{pkg_name}
Version:        1.2.0.7
Release:        3.1
Summary:        Case insensitive string comparison
License:        BSD-3-Clause
Group:          Development/Languages/Other
Url:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-deepseq-devel
BuildRequires:  ghc-hashable-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-semigroups-devel
BuildRequires:  ghc-text-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if %{with tests}
BuildRequires:  ghc-HUnit-devel
BuildRequires:  ghc-test-framework-devel
BuildRequires:  ghc-test-framework-hunit-devel
%endif

%description
The module 'Data.CaseInsensitive' provides the 'CI' type constructor which can
be parameterised by a string-like type like: 'String', 'ByteString', 'Text',
etc.. Comparisons of values of the resulting type will be insensitive to cases.

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Other
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development
files.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%check
%cabal_test

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%defattr(-,root,root,-)
%doc LICENSE

%files devel -f %{name}-devel.files
%defattr(-,root,root,-)
%doc CHANGELOG README.markdown

%changelog
* Mon Jul 25 2016 psimons@suse.com
- Update to version 1.2.0.7 revision 0 with cabal2obs.
* Sun Jul 10 2016 psimons@suse.com
- Update to version 1.2.0.6 revision 0 with cabal2obs.
* Wed Mar 16 2016 mimi.vx@gmail.com
- update to 1.2.0.6
  * Add Semigroup s => Semigroup (CI s) instance
* Sun Oct  4 2015 mimi.vx@gmail.com
- update to 1.2.0.5
  * Support HUnit-1.3
  * Support criterion-1.1
* Mon Apr 13 2015 mimi.vx@gmail.com
- update to 1.2.0.4
  * Fixed #17: https://github.com/basvandijk/case-insensitive/issues/17
  * Bump base and deepseq upper bounds for GHC 7.10 compatibility
  * Add case-insensitive.nix and default.nix
  * Fix #14: Build failure with GHC 7.2.2
  * Fix #8: Don't unnecessarily use NoImplicitPrelude
  * Solved warnings on GHC-7.8.3
  * Bump text upper version bounds
  * Derived a Data instance for CI
* Tue Sep  9 2014 peter.trommler@ohm-hochschule.de
- update to 1.1.0.3
  * no changelog
  * for Haskell Platform 2014.2.0.0
* Tue Sep  2 2014 peter.trommler@ohm-hochschule.de
- regenerate spec file
* Sat Aug 23 2014 peter.trommler@ohm-hochschule.de
- enable PowerPC builds
* Tue May  7 2013 peter.trommler@ohm-hochschule.de
- update to 1.0.0.1 from upstream
  * modifications requested for Haskell Platform
  * support for hashable 1.2
  * improved performance for byte strings
- part of Haskell Platform 2013.2
- more transparent packaging (fewer macros)
* Sat Jun  9 2012 peter.trommler@ohm-hochschule.de
- packaged LICENSE file
- added copyright notice
- dropped rpmlintrc
* Fri Mar 30 2012 peter.trommler@ohm-hochschule.de
- Fixed typo in BR.
* Fri Mar 30 2012 peter.trommler@ohm-hochschule.de
- Initial packaging.
